/*
 *  BinaryMatrix.java
 *
 *  Copyright (C) 1997 Esa Hyyti
 *
 *  Defines a square binary matrix class
 *
 */

import java.util.Vector;

class BinaryMatrix 
{
    /*
     *  Variables
     */
    int np;            /* dimension */
    boolean m[][];

    /*
     *  Constructors
     */
    public BinaryMatrix() {
        np = -1;
    }

    public BinaryMatrix( int np ) {
        this.np = np;
        if ( np < 1 )
            return;
        m = new boolean [np][np];
        for (int i=0; i < np; i++) 
            for (int j=0; j < np; j++ ) 
                m[i][j] = false;
    }

    public void print( ) {
        int i,j;
        
        for ( i=0; i<np; i++ )
        {
            for ( j=0; j<np; j++ )
            {
                if ( m[i][j] )
                    System.out.print( "1" );
                else
                    System.out.print( "0" );
            }
            System.out.println( );
        }
    }
}

    
