/*
 *  ColorConversion.java
 *
 *  Copyright (C) 1997 Esa Hyyti
 *
 *  Simple conversion class from int to colors.
 */

import java.awt.Color;

class ColorConversion 
{
    public ColorConversion() { }
    
    static public Color intToColor( int i ) 
    {
        switch( i%10 ) 
        {
            case  0: return Color.black;
            case  1: return Color.red;
            case  2: return Color.yellow;
            case  3: return Color.green;
            case  4: return Color.blue;
            case  5: return Color.orange;
            case  6: return Color.cyan;
            case  7: return Color.pink;
            case  8: return Color.gray;
            case  9: return Color.darkGray;
            default: return Color.black;
        }
    }
}
