/*
 *  Node.java
 *
 *  Copyright (C) 1997 Esa Hyyti
 *
 *  Node class defines a node in a graph for GUI.
 *
 */

import java.awt.*;
import java.util.Vector;

class Node 
{
    Point      r;            /* position in plane       */
    Vector     neighbours;   /* neighbour nodes         */
    int        circlers;
    static int radius = 16;
    
    public Node( int x, int y) 
    {
        r = new Point(0,0);
        r.move( x,y );
        neighbours = new Vector();
        circlers   = 0;
    }

    public void paint( Graphics g ) 
    {
        g.setColor( Color.black );
        g.drawOval(r.x-radius, r.y-radius, 2*radius, 2*radius );
        g.fillOval(r.x-radius, r.y-radius, 2*radius, 2*radius );
    }
}
